These docs are for v1. Click to read the latest docs for v3.

Events

The Events API provides information on the different types of events occurring within your fleet. Events such as Speeding, Idling, Braking etc., are recorded and made available for use over an API. Every event is associated with an alert which gets triggered based on certain conditions. For example, a speeding alert gets triggered when a vehicle crosses 70 MPH (event).

This API returns information such as the vehicle name, alert name, alert type, and location. Information about more than one event can be obtained in a single API call. You can sort as well search for a particular information from the result set.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/events.json

{  
   "vehicleIds":[  
      "94211ef5-8a1a-11e6-a876-d19d4bda3b40"
   ],
   "eventType":"ALL",
   "fromDate":"2016-10-03 00:00:00",
   "toDate":"2016-10-05 23:59:59",
   "searchCriteria":{  
      "columns":"vehicle",
      "value":""
   },
   "sortCriteria":{ 
      "column":"dateTime",
      "sortDir":"DESC"
   }
}

API Response Explanation

FieldDescription
codeAPI status code
messageAPI Message (Success/Failure)
reasonReason for failure
generatedAtInMillisAPI generation timestamp in UTC
eventsArray object representing the meta data of the events
idFor internal Azuga use
dateTimeTimestamp, in milliseconds, at which the event was triggered
vehicleName of the vehicle for which the event was triggered
alertTypeType of alert which got triggered
alertNameName of the alert
addressAddress of the location at which the event occurred
groupGroup to which the vehicle belongs to
parentGroupParent group of the vehicle group
foreParentGroupFore parent group of the vehicle group
isDeletedAlertBoolean to indicate whether the alert was deleted or not
assetNoAsset number of the vehicle
alertTypeIdUnique identifier representing the alert
The alert type ID for each of the alerts is below:
  • Speeding = 1
  • Stop_Time = 2
  • Idling = 3
  • Device_Plugged_In/Removed = 4
  • Unauthorized_Vehicle_Usage = 6
  • Braking = 7
  • Sudden_Acceleration = 8
  • Check_Engine_Light = 9
  • Vehicle_Not_Tracking = 10
  • Scheduled_Maintenance = 11
  • Low_Fuel = 13
  • Ignition = 14
  • Posted_Speed_Limit = 15
  • Low_Battery = 16
  • Cornering = 17
  • Panic = 18
  • Geofence = NULL
  • Unknown_Driver = 20
  • Unauthorized_Occupant_Count = 21
  • Beacon_Unused = 22
userIdUnique identifier representing the user
userNameName of the user
latLatitude coordinate of the location at which the event occurred
lngLongitude coordinate of the location at which the event occurred
displayTimezoneTimezone of the vehicle
offsetValue that is to be added or subtracted in order to get the correct timestamp
alertValueThreshold value set for triggering the alert
settingsConfiguration of the alert
vehicleIdUnique identifier representing the vehicle
distanceFor Azuga internal use
driveTimeFor Azuga internal use
vendorIdFor Azuga internal use
gracePeriodAfterIgnitionOnTime period (in seconds) after which the application checks if the vehicle is paired with a driver or not
noOfAllowedOccupantsNumber of occupants allowed in a vehicle
noOfDetectedOccupantsNumber of occupants detected in a vehicle
occupantsNumber of beacons
noOfDaysNumber of days set as the threshold for triggering a beacon unused alert
beaconMacAddressMAC address of the beacon
beaconUnusedFromTime period after which the beacon was left unused
beaconUnusedTillTime period up to which the beacon was left unused
serialNumberSerial number of the beacon
modeFrequency of the alert email
1 - Instant
2 - Hourly
reminderFreqHow often the alert is to be sent
customerIdUnique identifier representing the customer
deviceTypeType of device
1 - Azuga Device
2 - Mobile App
deletedAlert

Boolean representing whether the associated alert is deleted.

True = Deleted
False = Not deleted

alertTypePropertyKeyFor Azuga Internal use
numberFor Azuga Internal use
jobIdFor Azuga Internal use
toEmailEmail address of the users who should be in "To" list and are configured in the alert
ccEmailEmail address of the users who should be in "CC" list and are configured in the alert
fenceIdUnique identifier representing the geofence
fenceNameName of the geofence
startLandmarkIdUnique identifier representing the start landmark
endLandmarkIdUnique identifier representing the end landmark
startLandmarkNameName of the start landmark
endLandmarkNameName of the end landmark
eventTypeIdUnique identifier representing the event type
alertKeyFor Azuga Internal use
Query Params
int32
Defaults to 500

Indicates the number of records to be returned from the API

int32
Defaults to 0

This is the starting index for the paginated records

Body Params
vehicleNames
array of strings

Name of the vehicle. Accepts multiple names separated by commas. One of the following parameters is mandatory- vehicleIds, vehicleNames, groupIds, groupNames

vehicleNames
vehicleIds
array of strings

Unique identifier of the vehicle. Accepts multiple vehicle IDs separated by commas

vehicleIds
groupNames
array of strings

Name of the vehicle’s group. Accepts multiple group names separated by commas

groupNames
groupIds
array of strings

Unique identifier of the group. Accepts multiple group IDs separated by commas

groupIds
string
Defaults to ALL

Type of events separated by commas. The following values are valid: Speeding, Stop_Time Idling, Device_Plugged_In/Removed, Unauthorized_Vehicle_Usage, Hard_Braking, Sudden_Acceleration, Check_Engine_Light, Vehicle_Not_Tracking, Scheduled_Maintenance, Low_Fuel, Ignition, Posted_Speed_Limit, Low_Battery, Cornering, Panic, Geofence

string
required

Include events which have triggered after this timestamp. Timestamp (GMT) in milliseconds or ‘YYYY-mm-dd HH:mm:ss’ format

string
required

Include events which have triggered before this timestamp. Timestamp (GMT) in milliseconds or ‘YYYY-mm-dd HH:mm:ss’ format

string

Sort results in ascending or descending order. By default, results get sorted in ascending order based on the event time

int32

Index of the first result to return (per page)

int32

Maximum number of results to return per page

string

Search results based on a value for a specified column. Pass value as ALL to search across all columns

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json